<%- include('base') -%>

<header class="masthead bg-danger text-white text-center">
  <h2 class="text-center"><%= title %></h2>
</header>

<div class="divider-custom">
  <div class="divider-custom-line"></div>
  <div class="divider-custom-icon"><i class="fas fa-star"></i></div>
  <div class="divider-custom-line"></div>
</div>

<section class="page-section" style="padding-top: 1rem;">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-lg-8 col-xl-7">
        <form action='/peserta/tambah' method='post' role='form' data-sb-form-api-token="API_TOKEN">
          <div class='form-group form-floating mb-3'>
            <input type='text' name='nama' class='form-control' placeholder='Masukan nama lengkap peserta' data-sb-validations="required" required />
            <label for='name'>Nama Lengkap</label>
            <div class="invalid-feedback" data-sb-feedback="name:required">Nama wajib diisi</div>
          </div>
          <div class='form-group form-floating mb-3'>
            <input type='text' name='email' class='form-control' placeholder='Email' data-sb-validations="required" required />
            <label for='email'>Email</label>
            <div class="invalid-feedback" data-sb-feedback="email:required">Email wajib diisi</div>
          </div>
          <div class='form-group form-floating mb-3'>
            <input type='number' name='umur' class='form-control' placeholder='Umur' data-sb-validations="required" required />
            <label for='exampleInputEmail'>Umur</label>
            <div class="invalid-feedback" data-sb-feedback="umur:required">Umur wajib diisi</div>
          </div>
          <div class='form-group form-floating mb-4'>
            <label for='exampleInputLomba' style="padding-bottom: 4rem;">Perlombaan</label>
            <br>
            <select type='text' name='id_perlombaan' class='form-control' data-sb-validations="required" required>
              <option selected="true" disabled="disabled">Pilih lomba</option>   
            <% for(var i = 0; i < perlombaan.length; i++){ %>
            <option value='<%= perlombaan[i]._id %>' ><%= perlombaan[i].nama %></option>
            <% } %>
            </select>
          </div> 
          <button type='submit' class='btn btn-primary'>Submit</button>
        </form>
      </div>
    </div>
  </div>
</section>

<!-- footer included -->
<%- include('footer') -%>

</body>
<script style='javascript' src='/bootstrap/js/bootstrap.min.js' >
</html>